Help Wizard

Step 1

NEXT STEP

Client erratic behavior on ubuntu Wily

Solved!

Client erratic behavior on ubuntu Wily

Hello,

 

This is mostly for reference only in case someone hit the problem I am seeing.

 

I haven't had time to test it on the latest stable release (Ubuntu Vivid Vervet 15.04) but I see the problem on the current development release (Wily 15.10) : on some albums, it is not posible to play the music.

 

The album is selectable, titles do appear in the window but when clicking on "Play", nothing happens and the file is not played.

 

This do not happen on Trusty Tahr the current LTS release (14.04). I'm suspicious of the fact that, in order to get the spotify client to work on 15.04 and newer, an older version of libgcrypt (libgcrypt11) is required in order for the spotify client to work.

 

If someone here know of the proper channel to get in touch with the spotify-client developers, I would be more than happy to help.

 

Kind regards,

 

...Louis Bouchard

Ubuntu Developer

Reply

Accepted Solutions
Marked as solution

Hello,

 

This is a possible solution for the problem.  I've been using Spotify on 15.10 for months.  There used to be issues with it but they have been apparently solved and it woks like a charm (I use it daily).

 

Instead of going through a long explanation, here is a blog post that do a wonderful job of explaining it :

 

http://www.webupd8.org/2015/04/fix-missing-libgcrypt11-causing-spotify.html

 

Hope this helps,

 

Kind regards,

 

...Louis

View solution in original post

4 Replies

I can't use Spotify client  in Ubuntu 15.10 neither. I click in Spotify client icon but application not execute. Not even started. 😞

Marked as solution

Hello,

 

This is a possible solution for the problem.  I've been using Spotify on 15.10 for months.  There used to be issues with it but they have been apparently solved and it woks like a charm (I use it daily).

 

Instead of going through a long explanation, here is a blog post that do a wonderful job of explaining it :

 

http://www.webupd8.org/2015/04/fix-missing-libgcrypt11-causing-spotify.html

 

Hope this helps,

 

Kind regards,

 

...Louis

Hello!

 

Ohhh, thank you very much! I use it daily too but since I installed Ubuntu 15.10 just  I can enjoy in the web http://play.spotify.com

 

Thanks a lot for the info 🙂

So how come the spotify team have done nothing to get the client to work with the latest dependency that ships with 15.04 and 15.10? It's been more than 7 months since the problem was first reported by many users.

Suggested posts